Summary:        Web Services Description Language Toolkit for Java
Name:           wsdl4j
Epoch:          0
Version:        1.6.3
Release:        %mkrel 12
Group:          Development/Java
License:        CPL
URL:            https://sourceforge.net/projects/wsdl4j
BuildArch:      noarch

Source0:        https://downloads.sourceforge.net/project/wsdl4j/WSDL4J/%{version}/wsdl4j-src-%{version}.zip
Source1:        %{name}-MANIFEST.MF
Source2:        http://repo1.maven.org/maven2/wsdl4j/wsdl4j/%{version}/wsdl4j-%{version}.pom

BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  javapackages-local

Provides:       javax.wsdl

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows the
creation, representation, and manipulation of WSDL documents describing
services.  This code base will eventually serve as a reference implementation
of the standard created by JSR110.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-1_6_3

# Set source/target to 1.6 for building with Java 11
sed -i 's/<javac/<javac source="1.6" target="1.6"/' build.xml
sed -i 's/<javadoc/<javadoc source="1.6"/' build.xml

%mvn_file ":{*}" @1

%build
ant compile javadocs
# inject OSGi manifests
jar ufm build/lib/%{name}.jar %{SOURCE1}

%install
%mvn_artifact %{SOURCE2} build/lib/%{name}.jar
%mvn_artifact %{name}:qname:%{version} build/lib/qname.jar
%mvn_install -J build/javadocs

install -d -m 755 %{buildroot}%{_javadir}/javax.wsdl/
ln -sf ../%{name}.jar %{buildroot}%{_javadir}/javax.wsdl/
ln -sf ../qname.jar %{buildroot}%{_javadir}/javax.wsdl/

%files -f .mfiles
%license license.html
%{_javadir}/javax.wsdl/

%files javadoc -f .mfiles-javadoc
%license license.html



%changelog
* Sat Nov 14 2020 tv <tv> 0:1.6.3-12.mga8
+ Revision: 1645889
- use jar command to generate jar files
- Use source/target of 1.6 to build against Java 11
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0:1.6.3-11.mga8
+ Revision: 1501259
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0:1.6.3-10.mga7
+ Revision: 1277152
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0:1.6.3-8.mga6
+ Revision: 978219
- First rebuild of the java stack
- sync package wsdl4j with fedora

* Mon Feb 08 2016 umeabot <umeabot> 0:1.6.3-5.mga6
+ Revision: 942544
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.6.3-4.mga5
+ Revision: 739286
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.6.3-3.mga5
+ Revision: 690374
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0:1.6.3-2.mga4
+ Revision: 536035
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 dmorgan <dmorgan> 0:1.6.3-1.mga4
+ Revision: 483037
- New version 1.6.3

* Mon Jan 14 2013 umeabot <umeabot> 0:1.6.2-8.mga3
+ Revision: 385876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 0:1.6.2-7.mga3
+ Revision: 331377
- Java Stack Mass Rebuild

* Fri Feb 17 2012 gil <gil> 0:1.6.2-4.mga3
+ Revision: 210113
- adapt to current guideline
 - add maven poms
 - fix groups fields

* Sat Apr 30 2011 misc <misc> 0:1.6.2-3.mga1
+ Revision: 93953
- increase Release to let up upgrade from mandriva

* Fri Jan 21 2011 dmorgan <dmorgan> 0:1.6.2-1.mga1
+ Revision: 28240
- Adapt to mageia
- imported package wsdl4j

